/* (C) Pavel Surynek, 2009 - 2010  */
/* pavel.surynek@mff.cuni.cz       */
/* test.cpp                        */

/*
  Testing module.
 */

#include <stdio.h>
#include <stdlib.h>

#include "graph.h"


void test_Graph(void)
{
	Graph graph;

	int cN[] = {2, 2, 2, 2};

	graph.init(4, 4, cN);
	graph.print();
	printf("\n");

	graph.add_edge(1, 2, 2);
	graph.print();
	printf("\n");

	graph.add_edge(0, 1, 2);
	graph.add_edge(3, 2, 3);
	graph.add_edge(3, 0, 4);
	graph.print();
	printf("\n");
}


void test_IGraph(void)
{
	printf("igraph 1...\n");
	IGraph igraph;
	igraph.init(NULL, 16, 16, 16);
	igraph.print();
	printf("\n");

	igraph.add_vertex(1);
	igraph.print();
	printf("\n");

	igraph.add_vertex(7);
	igraph.print();
	printf("\n");

	igraph.add_vertex(5);
	igraph.print();
	printf("\n");

	igraph.add_vertex(3);
	igraph.print();
	printf("\n");

	igraph.add_vertex(1);
	igraph.print();
	printf("\n");

	printf("igraph 2...\n");
	IGraph igraph2;
	igraph2.init(NULL, 4, 4, 4);
	igraph2.print();
	printf("\n");

	igraph2.add_vertex(7);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(1, 2, 15);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(1, 3, 16);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(1, 5, 17);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(1, 6, 18);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(2, 3, 19);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(2, 4, 20);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(2, 5, 21);
	igraph2.print();
	printf("\n");

	igraph2.add_edge(2, 6, 22);
	igraph2.print();
	printf("\n");
}


int main(void)
{
	test_IGraph();

	return 0;
}
